Description

I just installed Audacious 3.10 under Linux Mint 18 & I'm loving everything about it, except for the part where I can't get the global

hotkeys to work.

I've got the Global Hotkeys plugin activated, & also the MPRIS 2 Server, which I'd seen somewhere-or-other was necessary. With

that I've basically reached the end of my clue with this sort of thing. Halp pls?

Many thanks!

History

#1 - August 15, 2019 04:06 - John Lindgren

Linux Mint could be grabbing the hotkeys for itself, not sure.  Do they work in a plain xterm session (no DE)?

#2 - August 15, 2019 04:19 - John Lindgren

- Subject changed from global hotkeys not working in Audacious 3.10 to global hotkeys not working under Linux Mint

#3 - August 15, 2019 17:32 - Kate Jones

John Lindgren wrote:

Linux Mint could be grabbing the hotkeys for itself, not sure.  Do they work in a plain xterm session (no DE)?

 

They work in both exaile & rhythmbox, so I don't think Mint would be the problem? But like I said, my clue in this sort of thing is not large.

#4 - August 16, 2019 05:19 - John Lindgren

I can understand the confusion ... let me try to explain a little.  I'm sorry I can't offer an easy solution.

There are at least 3 different, and somewhat incompatible, ways to do media hotkeys on Linux.  Our "Global Hotkeys" plugin uses the oldest method,

which is to "grab" the X11 key events directly.  That only works for one program at a time.

GNOME has (or had) a different method in which GNOME would grab the key events, and forward them to the application over D-Bus.  That's

incompatible with the older method, because when GNOME (or Cinnamon, which is based on GNOME to some extent) grabs the key events, our

Global Hotkeys plugin can't see them any more.  We used to support GNOME's method with our "GNOME Shortcuts" plugin, until recent versions of

GNOME broke compatibility with it (see #808).

MPRIS 2 is the 3rd and newest method.  It generally "just works" if you have the MPRIS 2 plugin enabled (which it is by default) and your desktop

supports it.  Unity and KDE do, I believe, and recent versions of XFCE can be made to.   I can't speak for GNOME or Linux Mint/Cinnamon, though,

since I haven't used either very much.
#5 - August 16, 2019 20:29 - Kate Jones

John Lindgren wrote:

I can understand the confusion ... let me try to explain a little.  I'm sorry I can't offer an easy solution.

 

Ahh, many thanks for the explanation, that makes sense!

#6 - August 17, 2019 14:02 - John Lindgren

- File mpris-popup.png added

I just tried Audacious 3.10.1 under Linux Mint 19.2 (Cinnamon), and at least the play/pause key is handled through Cinnamon's MPRIS 2 support.

In the system tray, you should see a music note icon, and clicking on it should show a popup information about what Audacious is playing, as well as

a few controls.

 mpris-popup.png 

If the playback controls in that popup work, then Cinnamon is correctly connected to Audacious, and everything is working on the Audacious side.  If

those controls work but media keys are still not working, you're probably looking at an issue on the Cinnamon side.

#7 - August 17, 2019 20:37 - Kate Jones

Ahh, I'm using Mate, not Cinnamon; that might be the issue.

#8 - August 22, 2019 17:02 - John Lindgren

- Subject changed from global hotkeys not working under Linux Mint to global hotkeys not working under Linux Mint MATE

#9 - April 06, 2020 19:28 - John Lindgren

- Status changed from New to Closed

Likely cause by some part of the desktop environment grabbing the same keys. Closing.
